Bug 485001 - Review Request: perl-MooseX-Emulate-Class-Accessor-Fast - Emulate Class::Accessor::Fast behavior using Moose attributes
Review Request: perl-MooseX-Emulate-Class-Accessor-Fast - Emulate Class::Acce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Em...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 22:05 EST by Chris Weyl
Modified: 2016-08-31 09:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 09:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-10 22:05:10 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Emulate-Class-Accessor-Fast.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Emulate-Class-Accessor-Fast-0.00800-1.fc10.src.rpm

Description:
This module attempts to emulate the behavior of Class::Accessor::Fast
as accurately as possible using the Moose attribute system. The public
API of "Class::Accessor::Fast" is wholly supported, but the private
methods are not.  If you are only using the public methods (as you
should) migration should be a matter of switching your "use base" line
to a "with" line.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1118638

Additional Comment:

This is a new requirement of Catalyst::Runtime 5.8000, aka "Catamoose"
Comment 1 manuel wolfshant 2009-02-10 22:50:31 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 1a66166cad1278bfe89a1079e7b1bfa67ba4aebd MooseX-Emulate-Class-Accessor-Fast-0.00800.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
  [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, i
f available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: standard perl module, noarch
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] make check passes

================
*** APPROVED ***
================
Comment 2 Chris Weyl 2009-02-10 22:56:28 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Emulate-Class-Accessor-Fast
Short Description: Emulate Class::Accessor::Fast behavior using Moose attributes
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 manuel wolfshant 2009-02-10 22:58:31 EST
Urgh...
Please filter out perl(Test::More) and perl(Test::Exception) from the automatic Requires. A quick glance shows no use for them except in the tests.
Comment 4 Kevin Fenzi 2009-02-13 02:03:19 EST
cvs done.
Comment 5 Chris Weyl 2009-02-13 18:19:26 EST
(In reply to comment #3)
> Urgh...
> Please filter out perl(Test::More) and perl(Test::Exception) from the automatic
> Requires. A quick glance shows no use for them except in the tests.

Where are you seeing these?  The srpm depends on them, but I can't find them generated anywhere else...  (on my F-10 system, at least)
Comment 6 manuel wolfshant 2009-02-14 07:42:06 EST
My mistake. I was in a rpm -qp over all the rpm files in the folder and did not notice that the src.rpm was involved.
We are fine as we are, sorry.
Comment 7 Chris Weyl 2009-02-14 13:45:11 EST
Thanks for the review! :-)
Comment 8 Iain Arnell 2010-08-25 01:46:19 EDT
Package Change Request
======================
Package Name: perl-MooseX-Emulate-Class-Accessor-Fast
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2010-08-25 13:22:11 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2016-07-20 10:53:59 EDT
perl-MooseX-Emulate-Class-Accessor-Fast-0.00903-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-059bd4e2c7
Comment 11 Fedora Update System 2016-07-20 14:17:35 EDT
perl-MooseX-Emulate-Class-Accessor-Fast-0.00903-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-059bd4e2c7
Comment 12 Fedora Update System 2016-08-31 09:19:33 EDT
perl-MooseX-Emulate-Class-Accessor-Fast-0.00903-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.